<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>Uses of Class com.here.android.mpa.search.DiscoveryRequest (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class com.here.android.mpa.search.DiscoveryRequest (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/here/android/mpa/search/class-use/DiscoveryRequest.html" target="_top">Frames</a></li>
<li><a href="DiscoveryRequest.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class com.here.android.mpa.search.DiscoveryRequest" class="title">Uses of Class<br>com.here.android.mpa.search.DiscoveryRequest</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#com.here.android.mpa.search">com.here.android.mpa.search</a></td>
<td class="colLast">
<div class="block">
        The search package provides classes for performing places and geocoder searches.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="com.here.android.mpa.search">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a> in <a href="../../../../../../com/here/android/mpa/search/package-summary.html">com.here.android.mpa.search</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a> in <a href="../../../../../../com/here/android/mpa/search/package-summary.html">com.here.android.mpa.search</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/search/AroundRequest.html" title="class in com.here.android.mpa.search">AroundRequest</a></span></code>
<div class="block">The <code>AroundRequest</code> represents sets of places within a specific location context, usually
 the location of the user.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/search/ExploreRequest.html" title="class in com.here.android.mpa.search">ExploreRequest</a></span></code>
<div class="block">Creates a <a href="../../../../../../com/here/android/mpa/search/ExploreRequest.html" title="class in com.here.android.mpa.search"><code>ExploreRequest</code></a> using a specified location context and category filter.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/search/HereRequest.html" title="class in com.here.android.mpa.search">HereRequest</a></span></code>
<div class="block">The <a href="../../../../../../com/here/android/mpa/search/HereRequest.html" title="class in com.here.android.mpa.search"><code>HereRequest</code></a> answers the questions "Where am I?" and
 "What's right here where I am standing?" The search results consist of a list of places with
 addresses that lie within the vicinity of the search location.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/search/SearchRequest.html" title="class in com.here.android.mpa.search">SearchRequest</a></span></code>
<div class="block">The <code>SearchRequest</code> processes text string queries based on the user's input to find
 specific places.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/search/package-summary.html">com.here.android.mpa.search</a> that return <a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><span class="typeNameLabel">DiscoveryRequest.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-">addReference</a></span>(java.lang.String name)</code>
<div class="block">This function adds the name of a requested reference identifiers to be returned in the
 results.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><span class="typeNameLabel">DiscoveryResultPage.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/search/DiscoveryResultPage.html#getNextPageRequest--">getNextPageRequest</a></span>()</code>
<div class="block">Gets the <code>DiscoveryRequest</code> for requesting the next page of the
 <code>DiscoveryResultPage</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><span class="typeNameLabel">DiscoveryResultPage.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/search/DiscoveryResultPage.html#getPreviousPageRequest--">getPreviousPageRequest</a></span>()</code>
<div class="block">Gets the <code>DiscoveryRequest</code> for requesting the previous page of the
 <code>DiscoveryResultPage</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><span class="typeNameLabel">DiscoveryLink.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/search/DiscoveryLink.html#getRequest--">getRequest</a></span>()</code>
<div class="block">Gets the <code>DiscoveryRequest</code> to perform the next discovery search.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><span class="typeNameLabel">AutoSuggestSearch.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/search/AutoSuggestSearch.html#getSuggestedSearchRequest--">getSuggestedSearchRequest</a></span>()</code>
<div class="block">Gets the request to perform a suggested search.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><span class="typeNameLabel">DiscoveryRequest.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html#setCategoryFilter-com.here.android.mpa.search.CategoryFilter-">setCategoryFilter</a></span>(<a href="../../../../../../com/here/android/mpa/search/CategoryFilter.html" title="class in com.here.android.mpa.search">CategoryFilter</a> filter)</code> </td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><span class="typeNameLabel">DiscoveryRequest.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html#setCollectionSize-int-">setCollectionSize</a></span>(int value)</code>
<div class="block">Sets a collection size to be used for request responses.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><span class="typeNameLabel">DiscoveryRequest.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html#setMapViewport-com.here.android.mpa.common.GeoBoundingBox-">setMapViewport</a></span>(<a href="../../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> mapViewport)</code>
<div class="block">The map viewport is a bounding box of the map area currently visible to the user.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><span class="typeNameLabel">DiscoveryRequest.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html#setRichTextFormatting-com.here.android.mpa.search.RichTextFormatting-">setRichTextFormatting</a></span>(<a href="../../../../../../com/here/android/mpa/search/RichTextFormatting.html" title="enum in com.here.android.mpa.search">RichTextFormatting</a> value)</code>
<div class="block">Sets a <code>RichTextFormatting</code> to be used in request responses.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><span class="typeNameLabel">DiscoveryRequest.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html#setSearchArea-com.here.android.mpa.common.GeoBoundingBox-">setSearchArea</a></span>(<a href="../../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> area)</code> </td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><span class="typeNameLabel">DiscoveryRequest.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html#setSearchArea-com.here.android.mpa.common.GeoCoordinate-int-">setSearchArea</a></span>(<a href="../../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> coordinate,
             int radius)</code> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a></code></td>
<td class="colLast"><span class="typeNameLabel">DiscoveryRequest.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html#setSearchCenter-com.here.android.mpa.common.GeoCoordinate-">setSearchCenter</a></span>(<a href="../../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> coordinate)</code> </td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/here/android/mpa/search/class-use/DiscoveryRequest.html" target="_top">Frames</a></li>
<li><a href="DiscoveryRequest.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
